Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040813
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-05-08 17:002019-05-21 15:17
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionc109b6a0ee8a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040813: A NPE can be thrown when using the default web service authentication of the AuthenticationManager

DescriptionA NullPointerException can be thrown when using the default web service authentication of the AuthenticationManager
Steps To Reproduce1) Execute the attached test. Note that it fails because a NullPointerException is thrown.
TagsNo tags attached.
Attached Files? file icon AuthenticationManagerTest.java [^] (1,956 bytes) 2019-05-08 17:15

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0035994 closedcaristu Web service calls should not create ad_session entries being in an instance with unlimited web service calls 

-  Notes
(0111577)
hgbot (developer)
2019-05-08 17:09

Repository: erp/devel/pi
Changeset: c109b6a0ee8a8549767dee482536e8c472d7be6f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed May 08 17:04:23 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c109b6a0ee8a8549767dee482536e8c472d7be6f [^]

fixes issue 40813: prevent NPE in web service authentication

---
M src/org/openbravo/authentication/AuthenticationManager.java
---
(0111578)
hgbot (developer)
2019-05-08 17:09

Repository: erp/devel/pi
Changeset: 41266f223ad5b6e7d0dd27aba721455bb3e6e481
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed May 08 17:08:32 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/41266f223ad5b6e7d0dd27aba721455bb3e6e481 [^]

related to issue 40813: add test case

---
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src-test/src/org/openbravo/test/base/TestConstants.java
A src-test/src/org/openbravo/test/authentication/AuthenticationManagerTest.java
---
(0111580)
hgbot (developer)
2019-05-08 17:15

Repository: erp/devel/pi
Changeset: 1ee1d903a6d159355f8feb60dfb351cf6e1a943a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed May 08 17:15:19 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1ee1d903a6d159355f8feb60dfb351cf6e1a943a [^]

related to issue 40813: use correct password

---
M src-test/src/org/openbravo/test/authentication/AuthenticationManagerTest.java
---
(0111613)
hgbot (developer)
2019-05-10 09:05

Repository: erp/devel/pi
Changeset: 7675b96ec421f9b3a951b78308fefd56bc85fd8c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri May 10 09:04:47 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7675b96ec421f9b3a951b78308fefd56bc85fd8c [^]

related to issue 40813: code review improvements

  - Check if request is null in isStatelessRequest() method itself

---
M src/org/openbravo/authentication/AuthenticationManager.java
---
(0111614)
alostale (developer)
2019-05-10 09:07

reviewed
(0111618)
hgbot (developer)
2019-05-10 10:18

Repository: erp/devel/pi
Changeset: 0da066f9238aef9ff08aadea2379614d6525f652
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri May 10 10:17:03 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0da066f9238aef9ff08aadea2379614d6525f652 [^]

related to issue 40813: code review improvements

  - Request is stateless if the provided "request" argument is null

---
M src/org/openbravo/authentication/AuthenticationManager.java
---
(0112020)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0112021)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0112022)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0112024)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0112025)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-08 17:00 caristu New Issue
2019-05-08 17:00 caristu Assigned To => caristu
2019-05-08 17:00 caristu Modules => Core
2019-05-08 17:00 caristu Triggers an Emergency Pack => No
2019-05-08 17:01 caristu Summary A NPE can be thrown when using the web service authentication of the AuthenticationManager => A NPE can be thrown when using the default web service authentication of the AuthenticationManager
2019-05-08 17:01 caristu Description Updated View Revisions
2019-05-08 17:02 caristu Relationship added related to 0035994
2019-05-08 17:03 caristu File Added: AuthenticationManagerTest.java
2019-05-08 17:09 hgbot Checkin
2019-05-08 17:09 hgbot Note Added: 0111577
2019-05-08 17:09 hgbot Status new => resolved
2019-05-08 17:09 hgbot Resolution open => fixed
2019-05-08 17:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c109b6a0ee8a8549767dee482536e8c472d7be6f [^]
2019-05-08 17:09 hgbot Checkin
2019-05-08 17:09 hgbot Note Added: 0111578
2019-05-08 17:15 hgbot Checkin
2019-05-08 17:15 hgbot Note Added: 0111580
2019-05-08 17:15 caristu File Deleted: AuthenticationManagerTest.java
2019-05-08 17:15 caristu File Added: AuthenticationManagerTest.java
2019-05-08 17:16 caristu Review Assigned To => alostale
2019-05-10 09:05 hgbot Checkin
2019-05-10 09:05 hgbot Note Added: 0111613
2019-05-10 09:07 alostale Note Added: 0111614
2019-05-10 09:07 alostale Status resolved => closed
2019-05-10 09:07 alostale Fixed in Version => 3.0PR19Q3
2019-05-10 10:18 hgbot Checkin
2019-05-10 10:18 hgbot Note Added: 0111618
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112020
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112021
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112022
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112024
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112025


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker